Class | Sequel::BasicObject
In: | lib/sequel/sql.rb
Parent: | Object

If on 1.9, create a Sequel::BasicObject class that is just like the default BasicObject class, except that missing constants are resolved in Object. This allows the virtual row support to work with classes without prefixing them with ::, such as:

      DB[:bonds].filter{maturity_date > Time.now}

### Methods

const_missing

### Public Class methods

const_missing(name)

Lookup missing constants in ::Object

[Source]

        # File lib/sequel/sql.rb, line 18
    18:       def self.const_missing(name)
    19:         ::Object.const_get(name)
    20:       end

[Validate]